edu.isi.pegasus.planner.parser.tokens

## Class SiteCatalogReservedWord

- java.lang.Object
- - edu.isi.pegasus.planner.parser.tokens.SiteCatalogReservedWord

All Implemented Interfaces:
  Token

    public class SiteCatalogReservedWord
    extends java.lang.Object
    implements Token

Class to capture reserved words. $Revision$

Author:
  Jens Vöckler, Gaurang Mehta

### Field Summary

Fields
`static int` `GRIDFTP` token value for the reserved word "gridftp".
`static int` `GRIDLAUNCH` token value for the reserved word "gridlaunch".
`static int` `LRC` token value for the reserved word "lrc".
`private static java.util.Map` `m_symbolTable` Singleton implementation of a symbol table for reserved words.
`private int` `m_value` This instance variable captures the token value for the reserved word.
`static int` `PROFILE` token value for the reserver word "profile".
`static int` `SITE` token value for the reserved word "site".
`static int` `SYSINFO` token value for the reserved work sysinfo.
`static int` `UNIVERSE` token value for the reserved word "universe".
`static int` `VERSION` token value for the reserved word "version".
`static int` `WORKDIR` token value for the reserved word "workdir".

### Constructor Summary

Constructors
`protected` `SiteCatalogReservedWord(int tokenValue)` Initializes an instance of a reserved word token.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getValue()` Obtains the token value of a given reserved word token.
`static java.util.Map` `symbolTable()` Singleton access to the symbol table as a whole.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SITE

    public static final int SITE

token value for the reserved word "site".

See Also:
  Constant Field Values

#### VERSION

    public static final int VERSION

token value for the reserved word "version".

See Also:
  Constant Field Values

#### LRC

    public static final int LRC

token value for the reserved word "lrc".

See Also:
  Constant Field Values

#### UNIVERSE

    public static final int UNIVERSE

token value for the reserved word "universe".

See Also:
  Constant Field Values

#### GRIDLAUNCH

    public static final int GRIDLAUNCH

token value for the reserved word "gridlaunch".

See Also:
  Constant Field Values

#### WORKDIR

    public static final int WORKDIR

token value for the reserved word "workdir".

See Also:
  Constant Field Values

#### GRIDFTP

    public static final int GRIDFTP

token value for the reserved word "gridftp".

See Also:
  Constant Field Values

#### PROFILE

    public static final int PROFILE

token value for the reserver word "profile".

See Also:
  Constant Field Values

#### SYSINFO

    public static final int SYSINFO

token value for the reserved work sysinfo.

See Also:
  Constant Field Values

#### m_symbolTable

    private static java.util.Map m_symbolTable

Singleton implementation of a symbol table for reserved words.

#### m_value

    private int m_value

This instance variable captures the token value for the reserved word.

### Constructor Detail

#### SiteCatalogReservedWord

    protected SiteCatalogReservedWord(int tokenValue)

Initializes an instance of a reserved word token. The constructor is unreachable from the outside. Use symbol table lookups to obtain reserved word tokens.

Parameters:
  `tokenValue` - is the token value to memorize.
See Also:
  `symbolTable()`

### Method Detail

#### symbolTable

    public static java.util.Map symbolTable()

Singleton access to the symbol table as a whole.

Returns:
  Map

#### getValue

    public int getValue()

Obtains the token value of a given reserved word token.

Returns:
  the token value.